-- Author: Ketho (EU-Boulderfist)
-- License: Public Domain

local active = {}

-- ArtifactFrame.PerksTab.PowerButtons is not yet initialized
hooksecurefunc(ArtifactFrame.PerksTab, "GetOrCreatePowerButton", function(self, powerIndex)
	if not active[powerIndex] then
		local button = self.PowerButtons[powerIndex]
		-- rather prehook than posthook to prevent purchasing traits
		-- and ARTIFACT_TRAITS_NO_FORGE_ERROR from showing up
		local oldOnClick = button:GetScript("OnClick")
		button:SetScript("OnClick", function(self)
			if IsModifiedClick("CHATLINK") then
				ChatEdit_InsertLink(GetSpellLink(self.spellID))
			else
				oldOnClick(self)
			end
		end)
		active[powerIndex] = true
	end
end)
